Name: python-nose-cov
Version: 1.6
Release: 1%{?dist}
Summary: nose plugin for coverage reporting, including subprocesses and multiprocessing
Source0: https://pypi.python.org/packages/source/n/nose-cov/nose-cov-%{version}.tar.gz
License: MIT
BuildArch: noarch
Url: http://bitbucket.org/memedough/nose-cov/overview

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:  python-nose
Requires:  python-cov-core

%description
This plugin produces coverage reports and supports coverage of subprocesses.

%prep
%setup -q -n nose-cov-%{version}
rm -rf nose_cov.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files 
%doc README.txt
%doc LICENSE.txt
%{python2_sitelib}/nose_cov*.egg-info
%{python2_sitelib}/nose_cov.py*


%changelog
* Mon Sep 29 2014 John Dulaney <jdulaney@fedoraproject.org> - 1.6-1
- Initial packaging
- Spec based on python-nose
